ST_ModEdgeHeal
Prev | 10.6. Topology Editors | Next

## Name

ST_ModEdgeHeal — Heals two edges by deleting the node connecting them, modifying the first edge and deleting the second edge. Returns the id of the deleted node.

## Synopsis

`int ST_ModEdgeHeal(`varchar atopology, integer anedge, integer anotheredge`)`;

## Description

Heals two edges by deleting the node connecting them, modifying the first edge and deleting the second edge. Returns the id of the deleted node. Updates all existing joined edges and relationships accordingly.

Availability: 2.0

This method implements the SQL/MM specification. SQL-MM: Topo-Geo and Topo-Net 3: Routine Details: X.3.9

## See Also

ST_ModEdgeSplit ST_NewEdgesSplit

Prev | Up | Next
ST_ModEdgeSplit | Home | ST_NewEdgeHeal